Updates a key/workspace governance reference in place.
PUT
/v1/m/models/keys/{id}
const url = 'https://example.com/v1/m/models/keys/example';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"created_at":"example","ext_id":"example","hint":"example","id":"example","name":"example","owner_ref":"example","provider_ref":"example","ref_kind":"api_key","status":"active","workspace_ref":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://example.com/v1/m/models/keys/example \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "created_at": "example", "ext_id": "example", "hint": "example", "id": "example", "name": "example", "owner_ref": "example", "provider_ref": "example", "ref_kind": "api_key", "status": "active", "workspace_ref": "example" }'Updates a key/workspace governance reference in place.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string
Path parameter id.
Header Parameters
Section titled “Header Parameters ” X-Olivares-Tenant
string format: uuid
Target tenant id; required when the principal can act in more than one tenant.
Request Body required
Section titled “Request Body required ” Media type application/json
object
created_at
Accepted by the DTO; an invalid timestamp is silently omitted by the handler.
string
ext_id
required
string
hint
string
id
string
name
string
owner_ref
string
provider_ref
required
string
ref_kind
required
string
status
string
workspace_ref
string
Responses
Section titled “ Responses ”OK
Media type application/json
object
Example generated
{}Bad request
Media type application/json
object
Example generated
{}Unauthenticated
Media type application/json
object
Example generated
{}Forbidden
Media type application/json
object
Example generated
{}Not found
Media type application/json
object
Example generated
{}Conflict / setup required
Media type application/json
object
Example generated
{}Rate limited
Media type application/json
object
Example generated
{}